#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD0,0xE9,0x54,0xA3,0x22,0x75,0x9C,0x44,0x78,0x4F,0x13,0x9C,
		0xD9,0x35,0x5E,0x3C,0xE0,0xC5,0x7B,0x89,0x6C,0xED,0x8B,0x14,
		0x64,0x67,0xD5,0x14,0x07,0x6B,0x03,0x6B,0xBB,0xA8,0xA1,0x02,
		0xEB,0x0F,0xC7,0x30,0x76,0x42,0x92,0x1E,0x82,0xFD,0xBD,0xA2,
		0xC8,0xBA,0xD0,0xDF,0x6D,0xBA,0xD8,0x38,0xA5,0xA3,0x99,0xF5,
		0x7D,0xE5,0xDD,0x43,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
